# UniTAP.dev.modules.dut_tests.test_info

class TestStatusEnum(enum.IntEnum):

Enum where members are also (and must be) ints

Idle = <TestStatusEnum.Idle: 0>
Completed = <TestStatusEnum.Completed: 1>
InProgress = <TestStatusEnum.InProgress: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class TestGroupId(enum.IntEnum):

Class `TestGroupId` contains all possible variants of Test groups ID.

UNKNOWN = <TestGroupId.UNKNOWN: -1>
AUDIO_TEST = <TestGroupId.AUDIO_TEST: 0>
DP_RX_ELECTRICAL = <TestGroupId.DP_RX_ELECTRICAL: 1>
HDMI_RX_ELECTRICAL = <TestGroupId.HDMI_RX_ELECTRICAL: 2>
DVI_RX_ELECTRICAL = <TestGroupId.DVI_RX_ELECTRICAL: 3>
CEC_FUNCTIONAL = <TestGroupId.CEC_FUNCTIONAL: 5>
DP_RX_CRC = <TestGroupId.DP_RX_CRC: 6>
DP_RX_SIMPLE_LT = <TestGroupId.DP_RX_SIMPLE_LT: 7>
DP_HDCP_CTS_AUTHENTICATION = <TestGroupId.DP_HDCP_CTS_AUTHENTICATION: 10>
HDMI_RX_CRC = <TestGroupId.HDMI_RX_CRC: 11>
USB_TYPE_C_ELECTRICAL = <TestGroupId.USB_TYPE_C_ELECTRICAL: 12>
DP_RX_LL_CTS = <TestGroupId.DP_RX_LL_CTS: 14>
DP_TX_LL_CTS = <TestGroupId.DP_TX_LL_CTS: 15>
DP_TX_LL_CTS_DSC = <TestGroupId.DP_TX_LL_CTS_DSC: 16>
DP_RX_LL_CTS_DSC = <TestGroupId.DP_RX_LL_CTS_DSC: 17>
DP_2_1_RX_LL_CTS = <TestGroupId.DP_2_1_RX_LL_CTS: 18>
DP_2_1_TX_LL_CTS = <TestGroupId.DP_2_1_TX_LL_CTS: 19>
DP_2_1_LTTPR_CTS = <TestGroupId.DP_2_1_LTTPR_CTS: 20>
DP_HDCP_CTS_1A = <TestGroupId.DP_HDCP_CTS_1A: 38>
DP_HDCP_CTS_1B = <TestGroupId.DP_HDCP_CTS_1B: 39>
DP_HDCP_CTS_2C = <TestGroupId.DP_HDCP_CTS_2C: 40>
DP_HDCP_CTS_3A = <TestGroupId.DP_HDCP_CTS_3A: 41>
DP_HDCP_CTS_3B = <TestGroupId.DP_HDCP_CTS_3B: 42>
DP_HDCP_CTS_3C = <TestGroupId.DP_HDCP_CTS_3C: 43>
DP_TX_DISPLAYID = <TestGroupId.DP_TX_DISPLAYID: 50>
DP_RX_DISPLAYID = <TestGroupId.DP_RX_DISPLAYID: 51>
HDMI_RX_VRR = <TestGroupId.HDMI_RX_VRR: 52>
HDMI_TX_VRR = <TestGroupId.HDMI_TX_VRR: 53>
DP_TX_ADAPTIVESYNC = <TestGroupId.DP_TX_ADAPTIVESYNC: 54>
DP_RX_ADAPTIVESYNC = <TestGroupId.DP_RX_ADAPTIVESYNC: 55>
DP_2_1_RX_LTTPR_CTS = <TestGroupId.DP_2_1_RX_LTTPR_CTS: 56>
DP_2_1_TX_LTTPR_CTS = <TestGroupId.DP_2_1_TX_LTTPR_CTS: 57>
DP_2_1_RX_DSC_CTS = <TestGroupId.DP_2_1_RX_DSC_CTS: 58>
DP_2_1_TX_DSC_CTS = <TestGroupId.DP_2_1_TX_DSC_CTS: 59>
DP_2_1_TX_DISPAYID = <TestGroupId.DP_2_1_TX_DISPAYID: 60>
DP_2_1_RX_DISPAYID = <TestGroupId.DP_2_1_RX_DISPAYID: 61>
DP_2_1_TX_ADAPTIVESYNC = <TestGroupId.DP_2_1_TX_ADAPTIVESYNC: 62>
DP_2_1_RX_ADAPTIVESYNC = <TestGroupId.DP_2_1_RX_ADAPTIVESYNC: 63>
HD_RX_DSC_CTS = <TestGroupId.HD_RX_DSC_CTS: 64>
HD_TX_DSC_CTS = <TestGroupId.HD_TX_DSC_CTS: 65>
HD_TX_CONTINUITY = <TestGroupId.HD_TX_CONTINUITY: 66>
HD_TX_CABLE_CHECK = <TestGroupId.HD_TX_CABLE_CHECK: 67>
PIXEL_VIDEO_TEST = <TestGroupId.PIXEL_VIDEO_TEST: 1000>
HDR10_TEST = <TestGroupId.HDR10_TEST: -2>
@classmethod
def has_value(cls, value) -> bool:

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class SubTestResultObject:

Class `SubTestResultObject` contains information about testing of one test.

- Set and get Test result `test_result`.
- Set and get FW logs after testing `fw_logs`.
- Set and get Configuration information `config_info`.
- Set and get Error code `error_code`.
- Set and get Error logs `error_logs`.
- Set and get Test name `test_name`.
- Set and get Group name `group_name`.

SubTestResultObject(group_name: str, debug: bool)
test_result: UniTAP.dev.modules.dut_tests.report.report_maker.TestResult

Returns result after testing.

###### Returns:

> object of `TestResult` type

fw_logs: str

Returns FW logs after testing.

###### Returns:

> object of str type

config_info: str

Returns config info after testing.

###### Returns:

> object of str type

error_code: int

Returns error code after testing.

###### Returns:

> object of int type

error_logs: str

Returns error logs after testing.

###### Returns:

> object of str type

test_name: str

Returns test name.

###### Returns:

> object of str type

group_name: str

Returns test group name.

###### Returns:

> object of str type

test_delay: int

Returns test delay.

###### Returns:

> object of int type

debug: bool

Returns debug test state (if you want to use special debug flags, your report will not valid).

###### Returns:

> object of bool type

json_config_info

Returns json test config info.

###### Returns:

> object of base64 str type

class TestResultObject:

Class `TestResultObject` allows get test results.

- Test result of selected test `test_result`.
- All test results `all_test_results`.

TestResultObject( results: Union[ SubTestResultObject , List[ SubTestResultObject ]])
def test_result( self, index: int) -> Optional[ SubTestResultObject ]:

Test result of selected test.

###### Arguments:

- index (int)

###### Returns:

> object of `SubTestResultObject`|None type

def all_test_results(self) -> list:

###### Returns:

> object of list type